## org.red5.server.net.rtmp.codec
Class RTMPMinaProtocolDecoder

    java.lang.Object
      org.apache.mina.filter.codec.ProtocolDecoderAdapter
          org.red5.server.net.rtmp.codec.RTMPMinaProtocolDecoder

All Implemented Interfaces:
  ProtocolDecoder

    public class RTMPMinaProtocolDecoder

extends ProtocolDecoderAdapter

RTMP protocol decoder.

Constructor Summary
`RTMPMinaProtocolDecoder()`

Method Summary
`void` `decode(IoSession session, IoBuffer in, ProtocolDecoderOutput out)`
`RTMPProtocolDecoder` `getDecoder()`
`void` `setDeserializer(Deserializer deserializer)` Setter for deserializer.

Methods inherited from class org.apache.mina.filter.codec.ProtocolDecoderAdapter
`dispose, finishDecode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RTMPMinaProtocolDecoder

    public RTMPMinaProtocolDecoder()

Method Detail

### decode

    public void decode(IoSession session,
                       IoBuffer in,
                       ProtocolDecoderOutput out)
                throws ProtocolCodecException

  Throws:
    `ProtocolCodecException`

### setDeserializer

    public void setDeserializer(Deserializer deserializer)

  Setter for deserializer.

  Parameters:
    `deserializer` - Deserializer

### getDecoder

    public RTMPProtocolDecoder getDecoder()

Copyright © 2006-2010 The Red5 Project